/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// ui逻辑处理类
/// created by chenwb 2024

import FguiMgr from "../../../../frameWork/fgui/FguiMgr";
import { FguiViewCtrl } from "../../../../frameWork/fgui/mvc/FguiViewCtrl";
import { InputViewVM } from "./InputViewVM";
import { InputViewView } from "./InputViewView";

export class InputViewCtrl extends FguiViewCtrl<InputViewVM> {
    OnInited(): void {
    }
    OnShow(intent?: any): void {
        this.AddListeners();
    }
    OnHide(): void {
        this.RemoveListeners();
    }
    //#region UI事件
    private AddListeners() : void {
        this.RegisterClick(this.VM.ConfirmBtn, this.OnClickConfirmBtn);

    }
    private RemoveListeners() : void {
// <#UIEventsRemoveArea>
    }
    private OnClickConfirmBtn(): void {
    }

    private Close(): void{
        FguiMgr.Instance.closeUI(InputViewView);
    }
    //#endregion
}